AB.Ab.aB.ab {VGAM} | R Documentation

## The AB-Ab-aB-ab Blood Group System

### Description

Estimates the parameter of the AB-Ab-aB-ab blood group system.

### Usage

    AB.Ab.aB.ab(link = "logitlink", init.p = NULL)

### Arguments

`link` | Link function applied to `p`. See `Links` for more choices.
`init.p` | Optional initial value for `p`.

### Details

This one parameter model involves a probability called `p`.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm` and `vgam`.

### Note

The input can be a 4-column matrix of counts, where the columns are AB, Ab, aB and ab (in order). Alternatively, the input can be a 4-column matrix of proportions (so each row adds to 1) and the `weights` argument is used to specify the total number of counts for each row.

### Author(s)

T. W. Yee

### References

Lange, K. (2002) Mathematical and Statistical Methods for Genetic Analysis, 2nd ed. New York: Springer-Verlag.

### See Also

`AA.Aa.aa`, `ABO`, `A1A2A3`, `MNSs`.

### Examples

    ymat <- cbind(AB=1997, Ab=906, aB=904, ab=32)  # Data from Fisher (1925)
    fit <- vglm(ymat ~ 1, AB.Ab.aB.ab(link = "identitylink"), trace = TRUE)
    fit <- vglm(ymat ~ 1, AB.Ab.aB.ab, trace = TRUE)
    rbind(ymat, sum(ymat)*fitted(fit))
    Coef(fit)  # Estimated p
    p <- sqrt(4*(fitted(fit)[, 4]))
    p*p
    summary(fit)

[Package VGAM version 1.1-1 Index]